searchNodes=[{"ref":"GoogleApi.Fitness.V1.Api.Users.html","title":"GoogleApi.Fitness.V1.Api.Users","module":"GoogleApi.Fitness.V1.Api.Users","type":"module","doc":"API calls for all endpoints tagged Users."},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_create/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_create/4","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Creates a new data source that is unique across all data sources belonging to this user. The data stream ID field can be omitted and will be generated by the server with the correct format. The data stream ID is an ordered combination of some fields from the data source. In addition to the data source fields reflected into the data source ID, the developer project number that is authenticated when creating the data source is included. This developer project number is obfuscated when read by any other developer reading public data types. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Create the data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :body (DataSource): Returns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_data_point_changes_list/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_data_point_changes_list/5","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Queries for user&#39;s data point changes for a particular data source. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): List data points for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source that created the dataset. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :limit (integer()): If specified, no more than this many data point changes will be included in the response. :pageToken (String.t): The continuation token, which is used to page through large result sets. To get the next page of results, set this parameter to the value of nextPageToken from the previous response. Returns {:ok, %GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_datasets_delete/6","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_datasets_delete/6","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Performs an inclusive delete of all data points whose start and end times have any overlap with the time range specified by the dataset ID. For most data types, the entire data point will be deleted. For data types where the time span represents a consistent value (such as com.google.activity.segment), and a data point straddles either end point of the dataset, only the overlapping portion of the data point will be deleted. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Delete a dataset for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source that created the dataset. dataset_id (String.t): Dataset identifier that is a composite of the minimum data point start time and maximum data point end time represented as nanoseconds from the epoch. The ID is formatted like: &quot;startTime-endTime&quot; where startTime and endTime are 64 bit integers. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :currentTimeMillis (String.t): The client&#39;s current time in milliseconds since epoch. :modifiedTimeMillis (String.t): When the operation was performed on the client. Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_datasets_get/6","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_datasets_get/6","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Returns a dataset containing all data points whose start and end times overlap with the specified range of the dataset minimum start time and maximum end time. Specifically, any data point whose start time is less than or equal to the dataset end time and whose end time is greater than or equal to the dataset start time. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Retrieve a dataset for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source that created the dataset. dataset_id (String.t): Dataset identifier that is a composite of the minimum data point start time and maximum data point end time represented as nanoseconds from the epoch. The ID is formatted like: &quot;startTime-endTime&quot; where startTime and endTime are 64 bit integers. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :limit (integer()): If specified, no more than this many data points will be included in the dataset. If there are more data points in the dataset, nextPageToken will be set in the dataset response. :pageToken (String.t): The continuation token, which is used to page through large datasets. To get the next page of a dataset, set this parameter to the value of nextPageToken from the previous response. Each subsequent call will yield a partial dataset with data point end timestamps that are strictly smaller than those in the previous partial response. Returns {:ok, %GoogleApi.Fitness.V1.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_datasets_patch/6","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_datasets_patch/6","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Adds data points to a dataset. The dataset need not be previously created. All points within the given dataset will be returned with subsquent calls to retrieve this dataset. Data points can belong to more than one dataset. This method does not use patch semantics. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Patch a dataset for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source that created the dataset. dataset_id (String.t): Dataset identifier that is a composite of the minimum data point start time and maximum data point end time represented as nanoseconds from the epoch. The ID is formatted like: &quot;startTime-endTime&quot; where startTime and endTime are 64 bit integers. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :currentTimeMillis (String.t): The client&#39;s current time in milliseconds since epoch. Note that the minStartTimeNs and maxEndTimeNs properties in the request body are in nanoseconds instead of milliseconds. :body (Dataset): Returns {:ok, %GoogleApi.Fitness.V1.Model.Dataset{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_delete/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_delete/5","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Deletes the specified data source. The request will fail if the data source contains any data points. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Retrieve a data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source to delete. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. Returns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_get/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_get/5","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Returns the specified data source. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Retrieve a data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source to retrieve. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. Returns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_list/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_list/4","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Lists all data sources that are visible to the developer, using the OAuth scopes provided. The list is not exhaustive; the user may have private data sources that are only visible to other developers, or calls using other scopes. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): List data sources for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :dataTypeName ([String.t]): The names of data types to include in the list. If not specified, all data sources will be returned. Returns {:ok, %GoogleApi.Fitness.V1.Model.ListDataSourcesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_data_sources_update/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_data_sources_update/5","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Updates the specified data source. The dataStreamId, dataType, type, dataStreamName, and device properties with the exception of version, cannot be modified. Data sources are identified by their dataStreamId. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Update the data source for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. data_source_id (String.t): The data stream ID of the data source to update. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :body (DataSource): Returns {:ok, %GoogleApi.Fitness.V1.Model.DataSource{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_dataset_aggregate/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_dataset_aggregate/4","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Aggregates data of a certain type or stream into buckets divided by a given type of boundary. Multiple data sets of multiple types and from multiple sources can be aggreated into exactly one bucket type per request. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Aggregate data for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :body (AggregateRequest): Returns {:ok, %GoogleApi.Fitness.V1.Model.AggregateResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_sessions_delete/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_sessions_delete/5","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Deletes a session specified by the given session ID. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Delete a session for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. session_id (String.t): The ID of the session to be deleted. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :currentTimeMillis (String.t): The client&#39;s current time in milliseconds since epoch. Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_sessions_list/4","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_sessions_list/4","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Lists sessions previously created. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): List sessions for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :endTime (String.t): An RFC3339 timestamp. Only sessions ending between the start and end times will be included in the response. :includeDeleted (boolean()): If true, deleted sessions will be returned. When set to true, sessions returned in this response will only have an ID and will not have any other fields. :pageToken (String.t): The continuation token, which is used for incremental syncing. To get the next batch of changes, set this parameter to the value of nextPageToken from the previous response. This token is treated as a timestamp (in millis since epoch). If specified, the API returns sessions modified since this time. The page token is ignored if either start or end time is specified. If none of start time, end time, and the page token is specified, sessions modified in the last 30 days are returned. :startTime (String.t): An RFC3339 timestamp. Only sessions ending between the start and end times will be included in the response. Returns {:ok, %GoogleApi.Fitness.V1.Model.ListSessionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Api.Users.html#fitness_users_sessions_update/5","title":"GoogleApi.Fitness.V1.Api.Users.fitness_users_sessions_update/5","module":"GoogleApi.Fitness.V1.Api.Users","type":"function","doc":"Updates or insert a given session. Parameters connection (GoogleApi.Fitness.V1.Connection): Connection to server user_id (String.t): Create sessions for the person identified. Use me to indicate the authenticated user. Only me is supported at this time. session_id (String.t): The ID of the session to be created. optional_params (KeywordList): [optional] Optional parameters :alt (String.t): Data format for the response. :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (String.t): Deprecated. Please use quotaUser instead. :currentTimeMillis (String.t): The client&#39;s current time in milliseconds since epoch. :body (Session): Returns {:ok, %GoogleApi.Fitness.V1.Model.Session{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Fitness.V1.Connection.html","title":"GoogleApi.Fitness.V1.Connection","module":"GoogleApi.Fitness.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Fitness.V1."},{"ref":"GoogleApi.Fitness.V1.Connection.html#delete/3","title":"GoogleApi.Fitness.V1.Connection.delete/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#delete!/3","title":"GoogleApi.Fitness.V1.Connection.delete!/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#execute/2","title":"GoogleApi.Fitness.V1.Connection.execute/2","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.Fitness.V1.Connection.html#get/3","title":"GoogleApi.Fitness.V1.Connection.get/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#get!/3","title":"GoogleApi.Fitness.V1.Connection.get!/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#head/3","title":"GoogleApi.Fitness.V1.Connection.head/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#head!/3","title":"GoogleApi.Fitness.V1.Connection.head!/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#new/0","title":"GoogleApi.Fitness.V1.Connection.new/0","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.Fitness.V1.Connection.html#new/1","title":"GoogleApi.Fitness.V1.Connection.new/1","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Fitness.V1.Connection.html#options/3","title":"GoogleApi.Fitness.V1.Connection.options/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#options!/3","title":"GoogleApi.Fitness.V1.Connection.options!/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#patch/4","title":"GoogleApi.Fitness.V1.Connection.patch/4","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#patch!/4","title":"GoogleApi.Fitness.V1.Connection.patch!/4","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#post/4","title":"GoogleApi.Fitness.V1.Connection.post/4","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#post!/4","title":"GoogleApi.Fitness.V1.Connection.post!/4","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#put/4","title":"GoogleApi.Fitness.V1.Connection.put/4","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#put!/4","title":"GoogleApi.Fitness.V1.Connection.put!/4","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#request/2","title":"GoogleApi.Fitness.V1.Connection.request/2","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Fitness.V1.Connection.html#request!/2","title":"GoogleApi.Fitness.V1.Connection.request!/2","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Fitness.V1.Connection.html#trace/3","title":"GoogleApi.Fitness.V1.Connection.trace/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#trace!/3","title":"GoogleApi.Fitness.V1.Connection.trace!/3","module":"GoogleApi.Fitness.V1.Connection","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Fitness.V1.Connection.html#t:option/0","title":"GoogleApi.Fitness.V1.Connection.option/0","module":"GoogleApi.Fitness.V1.Connection","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Deserializer.html","title":"GoogleApi.Fitness.V1.Deserializer","module":"GoogleApi.Fitness.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateBucket.html","title":"GoogleApi.Fitness.V1.Model.AggregateBucket","module":"GoogleApi.Fitness.V1.Model.AggregateBucket","type":"module","doc":"Attributes activity (integer()): Available for Bucket.Type.ACTIVITY_TYPE, Bucket.Type.ACTIVITY_SEGMENT Defaults to: null. dataset ([Dataset]): There will be one dataset per AggregateBy in the request. Defaults to: null. endTimeMillis (String.t): The end time for the aggregated data, in milliseconds since epoch, inclusive. Defaults to: null. session (Session): Available for Bucket.Type.SESSION Defaults to: null. startTimeMillis (String.t): The start time for the aggregated data, in milliseconds since epoch, inclusive. Defaults to: null. type (String.t): The type of a bucket signifies how the data aggregation is performed in the bucket. Defaults to: null. Enum - one of [activitySegment, activityType, session, time, unknown]"},{"ref":"GoogleApi.Fitness.V1.Model.AggregateBucket.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateBucket.decode/2","module":"GoogleApi.Fitness.V1.Model.AggregateBucket","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateBucket.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateBucket.t/0","module":"GoogleApi.Fitness.V1.Model.AggregateBucket","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.AggregateBy.html","title":"GoogleApi.Fitness.V1.Model.AggregateBy","module":"GoogleApi.Fitness.V1.Model.AggregateBy","type":"module","doc":"The specification of which data to aggregate. Attributes dataSourceId (String.t): A data source ID to aggregate. Mutually exclusive of dataTypeName. Only data from the specified data source ID will be included in the aggregation. The dataset in the response will have the same data source ID. Defaults to: null. dataTypeName (String.t): The data type to aggregate. All data sources providing this data type will contribute data to the aggregation. The response will contain a single dataset for this data type name. The dataset will have a data source ID of derived:com.google.:com.google.android.gms:aggregated Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateBy.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateBy.decode/2","module":"GoogleApi.Fitness.V1.Model.AggregateBy","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateBy.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateBy.t/0","module":"GoogleApi.Fitness.V1.Model.AggregateBy","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.AggregateRequest.html","title":"GoogleApi.Fitness.V1.Model.AggregateRequest","module":"GoogleApi.Fitness.V1.Model.AggregateRequest","type":"module","doc":"Next id: 10 Attributes aggregateBy ([AggregateBy]): The specification of data to be aggregated. At least one aggregateBy spec must be provided. All data that is specified will be aggregated using the same bucketing criteria. There will be one dataset in the response for every aggregateBy spec. Defaults to: null. bucketByActivitySegment (BucketByActivity): Specifies that data be aggregated each activity segment recored for a user. Similar to bucketByActivitySegment, but bucketing is done for each activity segment rather than all segments of the same type. Mutually exclusive of other bucketing specifications. Defaults to: null. bucketByActivityType (BucketByActivity): Specifies that data be aggregated by the type of activity being performed when the data was recorded. All data that was recorded during a certain activity type (for the given time range) will be aggregated into the same bucket. Data that was recorded while the user was not active will not be included in the response. Mutually exclusive of other bucketing specifications. Defaults to: null. bucketBySession (BucketBySession): Specifies that data be aggregated by user sessions. Data that does not fall within the time range of a session will not be included in the response. Mutually exclusive of other bucketing specifications. Defaults to: null. bucketByTime (BucketByTime): Specifies that data be aggregated by a single time interval. Mutually exclusive of other bucketing specifications. Defaults to: null. endTimeMillis (String.t): The end of a window of time. Data that intersects with this time window will be aggregated. The time is in milliseconds since epoch, inclusive. Defaults to: null. filteredDataQualityStandard ([String.t]): DO NOT POPULATE THIS FIELD. As data quality standards are deprecated, filling it in will result in no data sources being returned. It will be removed in a future version entirely. Defaults to: null. Enum - one of startTimeMillis (String.t): The start of a window of time. Data that intersects with this time window will be aggregated. The time is in milliseconds since epoch, inclusive. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateRequest.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateRequest.decode/2","module":"GoogleApi.Fitness.V1.Model.AggregateRequest","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateRequest.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateRequest.t/0","module":"GoogleApi.Fitness.V1.Model.AggregateRequest","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.AggregateResponse.html","title":"GoogleApi.Fitness.V1.Model.AggregateResponse","module":"GoogleApi.Fitness.V1.Model.AggregateResponse","type":"module","doc":"Attributes bucket ([AggregateBucket]): A list of buckets containing the aggregated data. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.AggregateResponse.decode/2","module":"GoogleApi.Fitness.V1.Model.AggregateResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.AggregateResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.AggregateResponse.t/0","module":"GoogleApi.Fitness.V1.Model.AggregateResponse","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.Application.html","title":"GoogleApi.Fitness.V1.Model.Application","module":"GoogleApi.Fitness.V1.Model.Application","type":"module","doc":"Attributes detailsUrl (String.t): An optional URI that can be used to link back to the application. Defaults to: null. name (String.t): The name of this application. This is required for REST clients, but we do not enforce uniqueness of this name. It is provided as a matter of convenience for other developers who would like to identify which REST created an Application or Data Source. Defaults to: null. packageName (String.t): Package name for this application. This is used as a unique identifier when created by Android applications, but cannot be specified by REST clients. REST clients will have their developer project number reflected into the Data Source data stream IDs, instead of the packageName. Defaults to: null. version (String.t): Version of the application. You should update this field whenever the application changes in a way that affects the computation of the data. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.Application.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Application.decode/2","module":"GoogleApi.Fitness.V1.Model.Application","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.Application.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Application.t/0","module":"GoogleApi.Fitness.V1.Model.Application","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.BucketByActivity.html","title":"GoogleApi.Fitness.V1.Model.BucketByActivity","module":"GoogleApi.Fitness.V1.Model.BucketByActivity","type":"module","doc":"Attributes activityDataSourceId (String.t): The default activity stream will be used if a specific activityDataSourceId is not specified. Defaults to: null. minDurationMillis (String.t): Specifies that only activity segments of duration longer than minDurationMillis are considered and used as a container for aggregated data. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.BucketByActivity.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketByActivity.decode/2","module":"GoogleApi.Fitness.V1.Model.BucketByActivity","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.BucketByActivity.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketByActivity.t/0","module":"GoogleApi.Fitness.V1.Model.BucketByActivity","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.BucketBySession.html","title":"GoogleApi.Fitness.V1.Model.BucketBySession","module":"GoogleApi.Fitness.V1.Model.BucketBySession","type":"module","doc":"Attributes minDurationMillis (String.t): Specifies that only sessions of duration longer than minDurationMillis are considered and used as a container for aggregated data. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.BucketBySession.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketBySession.decode/2","module":"GoogleApi.Fitness.V1.Model.BucketBySession","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.BucketBySession.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketBySession.t/0","module":"GoogleApi.Fitness.V1.Model.BucketBySession","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.BucketByTime.html","title":"GoogleApi.Fitness.V1.Model.BucketByTime","module":"GoogleApi.Fitness.V1.Model.BucketByTime","type":"module","doc":"Attributes durationMillis (String.t): Specifies that result buckets aggregate data by exactly durationMillis time frames. Time frames that contain no data will be included in the response with an empty dataset. Defaults to: null. period (BucketByTimePeriod): Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.BucketByTime.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketByTime.decode/2","module":"GoogleApi.Fitness.V1.Model.BucketByTime","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.BucketByTime.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketByTime.t/0","module":"GoogleApi.Fitness.V1.Model.BucketByTime","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.html","title":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod","module":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod","type":"module","doc":"Attributes timeZoneId (String.t): org.joda.timezone.DateTimeZone Defaults to: null. type (String.t): Defaults to: null. Enum - one of [day, month, week] value (integer()): Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.html#decode/2","title":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.decode/2","module":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod.t/0","module":"GoogleApi.Fitness.V1.Model.BucketByTimePeriod","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.DataPoint.html","title":"GoogleApi.Fitness.V1.Model.DataPoint","module":"GoogleApi.Fitness.V1.Model.DataPoint","type":"module","doc":"Represents a single data point, generated by a particular data source. A data point holds a value for each field, an end timestamp and an optional start time. The exact semantics of each of these attributes are specified in the documentation for the particular data type. A data point can represent an instantaneous measurement, reading or input observation, as well as averages or aggregates over a time interval. Check the data type documentation to determine which is the case for a particular data type. Data points always contain one value for each field of the data type. Attributes computationTimeMillis (String.t): DO NOT USE THIS FIELD. It is ignored, and not stored. Defaults to: null. dataTypeName (String.t): The data type defining the format of the values in this data point. Defaults to: null. endTimeNanos (String.t): The end time of the interval represented by this data point, in nanoseconds since epoch. Defaults to: null. modifiedTimeMillis (String.t): Indicates the last time this data point was modified. Useful only in contexts where we are listing the data changes, rather than representing the current state of the data. Defaults to: null. originDataSourceId (String.t): If the data point is contained in a dataset for a derived data source, this field will be populated with the data source stream ID that created the data point originally. WARNING: do not rely on this field for anything other than debugging. The value of this field, if it is set at all, is an implementation detail and is not guaranteed to remain consistent. Defaults to: null. rawTimestampNanos (String.t): The raw timestamp from the original SensorEvent. Defaults to: null. startTimeNanos (String.t): The start time of the interval represented by this data point, in nanoseconds since epoch. Defaults to: null. value ([Value]): Values of each data type field for the data point. It is expected that each value corresponding to a data type field will occur in the same order that the field is listed with in the data type specified in a data source. Only one of integer and floating point fields will be populated, depending on the format enum value within data source&#39;s type field. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.DataPoint.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataPoint.decode/2","module":"GoogleApi.Fitness.V1.Model.DataPoint","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.DataPoint.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataPoint.t/0","module":"GoogleApi.Fitness.V1.Model.DataPoint","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.DataSource.html","title":"GoogleApi.Fitness.V1.Model.DataSource","module":"GoogleApi.Fitness.V1.Model.DataSource","type":"module","doc":"Definition of a unique source of sensor data. Data sources can expose raw data coming from hardware sensors on local or companion devices. They can also expose derived data, created by transforming or merging other data sources. Multiple data sources can exist for the same data type. Every data point inserted into or read from this service has an associated data source. The data source contains enough information to uniquely identify its data, including the hardware device and the application that collected and/or transformed the data. It also holds useful metadata, such as the hardware and application versions, and the device type. Each data source produces a unique stream of data, with a unique identifier. Not all changes to data source affect the stream identifier, so that data collected by updated versions of the same application/device can still be considered to belong to the same data stream. Attributes application (Application): Information about an application which feeds sensor data into the platform. Defaults to: null. dataQualityStandard ([String.t]): DO NOT POPULATE THIS FIELD. It is never populated in responses from the platform, and is ignored in queries. It will be removed in a future version entirely. Defaults to: null. Enum - one of dataStreamId (String.t): A unique identifier for the data stream produced by this data source. The identifier includes: - The physical device&#39;s manufacturer, model, and serial number (UID). - The application&#39;s package name or name. Package name is used when the data source was created by an Android application. The developer project number is used when the data source was created by a REST client. - The data source&#39;s type. - The data source&#39;s stream name. Note that not all attributes of the data source are used as part of the stream identifier. In particular, the version of the hardware/the application isn&#39;t used. This allows us to preserve the same stream through version updates. This also means that two DataSource objects may represent the same data stream even if they&#39;re not equal. The exact format of the data stream ID created by an Android application is: type:dataType.name:application.packageName:device.manufacturer:device.model:device.uid:dataStreamName The exact format of the data stream ID created by a REST client is: type:dataType.name:developer project number:device.manufacturer:device.model:device.uid:dataStreamName When any of the optional fields that comprise of the data stream ID are blank, they will be omitted from the data stream ID. The minimum viable data stream ID would be: type:dataType.name:developer project number Finally, the developer project number is obfuscated when read by any REST or Android client that did not create the data source. Only the data source creator will see the developer project number in clear and normal form. Defaults to: null. dataStreamName (String.t): The stream name uniquely identifies this particular data source among other data sources of the same type from the same underlying producer. Setting the stream name is optional, but should be done whenever an application exposes two streams for the same data type, or when a device has two equivalent sensors. Defaults to: null. dataType (DataType): The data type defines the schema for a stream of data being collected by, inserted into, or queried from the Fitness API. Defaults to: null. device (Device): Representation of an integrated device (such as a phone or a wearable) that can hold sensors. Defaults to: null. name (String.t): An end-user visible name for this data source. Defaults to: null. type (String.t): A constant describing the type of this data source. Indicates whether this data source produces raw or derived data. Defaults to: null. Enum - one of [derived, raw]"},{"ref":"GoogleApi.Fitness.V1.Model.DataSource.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataSource.decode/2","module":"GoogleApi.Fitness.V1.Model.DataSource","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.DataSource.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataSource.t/0","module":"GoogleApi.Fitness.V1.Model.DataSource","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.DataType.html","title":"GoogleApi.Fitness.V1.Model.DataType","module":"GoogleApi.Fitness.V1.Model.DataType","type":"module","doc":"Attributes field ([DataTypeField]): A field represents one dimension of a data type. Defaults to: null. name (String.t): Each data type has a unique, namespaced, name. All data types in the com.google namespace are shared as part of the platform. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.DataType.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataType.decode/2","module":"GoogleApi.Fitness.V1.Model.DataType","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.DataType.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataType.t/0","module":"GoogleApi.Fitness.V1.Model.DataType","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.DataTypeField.html","title":"GoogleApi.Fitness.V1.Model.DataTypeField","module":"GoogleApi.Fitness.V1.Model.DataTypeField","type":"module","doc":"In case of multi-dimensional data (such as an accelerometer with x, y, and z axes) each field represents one dimension. Each data type field has a unique name which identifies it. The field also defines the format of the data (int, float, etc.). This message is only instantiated in code and not used for wire comms or stored in any way. Attributes format (String.t): The different supported formats for each field in a data type. Defaults to: null. Enum - one of [blob, floatList, floatPoint, integer, integerList, map, string] name (String.t): Defines the name and format of data. Unlike data type names, field names are not namespaced, and only need to be unique within the data type. Defaults to: null. optional (boolean()): Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.DataTypeField.html#decode/2","title":"GoogleApi.Fitness.V1.Model.DataTypeField.decode/2","module":"GoogleApi.Fitness.V1.Model.DataTypeField","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.DataTypeField.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.DataTypeField.t/0","module":"GoogleApi.Fitness.V1.Model.DataTypeField","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.Dataset.html","title":"GoogleApi.Fitness.V1.Model.Dataset","module":"GoogleApi.Fitness.V1.Model.Dataset","type":"module","doc":"A dataset represents a projection container for data points. They do not carry any info of their own. Datasets represent a set of data points from a particular data source. A data point can be found in more than one dataset. Attributes dataSourceId (String.t): The data stream ID of the data source that created the points in this dataset. Defaults to: null. maxEndTimeNs (String.t): The largest end time of all data points in this possibly partial representation of the dataset. Time is in nanoseconds from epoch. This should also match the second part of the dataset identifier. Defaults to: null. minStartTimeNs (String.t): The smallest start time of all data points in this possibly partial representation of the dataset. Time is in nanoseconds from epoch. This should also match the first part of the dataset identifier. Defaults to: null. nextPageToken (String.t): This token will be set when a dataset is received in response to a GET request and the dataset is too large to be included in a single response. Provide this value in a subsequent GET request to return the next page of data points within this dataset. Defaults to: null. point ([DataPoint]): A partial list of data points contained in the dataset, ordered by largest endTimeNanos first. This list is considered complete when retrieving a small dataset and partial when patching a dataset or retrieving a dataset that is too large to include in a single response. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.Dataset.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Dataset.decode/2","module":"GoogleApi.Fitness.V1.Model.Dataset","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.Dataset.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Dataset.t/0","module":"GoogleApi.Fitness.V1.Model.Dataset","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.Device.html","title":"GoogleApi.Fitness.V1.Model.Device","module":"GoogleApi.Fitness.V1.Model.Device","type":"module","doc":"Representation of an integrated device (such as a phone or a wearable) that can hold sensors. Each sensor is exposed as a data source. The main purpose of the device information contained in this class is to identify the hardware of a particular data source. This can be useful in different ways, including: - Distinguishing two similar sensors on different devices (the step counter on two nexus 5 phones, for instance) - Display the source of data to the user (by using the device make / model) - Treat data differently depending on sensor type (accelerometers on a watch may give different patterns than those on a phone) - Build different analysis models for each device/version. Attributes manufacturer (String.t): Manufacturer of the product/hardware. Defaults to: null. model (String.t): End-user visible model name for the device. Defaults to: null. type (String.t): A constant representing the type of the device. Defaults to: null. Enum - one of [chestStrap, headMounted, phone, scale, tablet, unknown, watch] uid (String.t): The serial number or other unique ID for the hardware. This field is obfuscated when read by any REST or Android client that did not create the data source. Only the data source creator will see the uid field in clear and normal form. Defaults to: null. version (String.t): Version string for the device hardware/software. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.Device.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Device.decode/2","module":"GoogleApi.Fitness.V1.Model.Device","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.Device.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Device.t/0","module":"GoogleApi.Fitness.V1.Model.Device","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.html","title":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse","module":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse","type":"module","doc":"Attributes dataSourceId (String.t): The data stream ID of the data source with data point changes. Defaults to: null. deletedDataPoint ([DataPoint]): Deleted data points for the user. Note, for modifications this should be parsed before handling insertions. Defaults to: null. insertedDataPoint ([DataPoint]): Inserted data points for the user. Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.decode/2","module":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse.t/0","module":"GoogleApi.Fitness.V1.Model.ListDataPointChangesResponse","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.html","title":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse","module":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse","type":"module","doc":"Attributes dataSource ([DataSource]): A previously created data source. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.decode/2","module":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse.t/0","module":"GoogleApi.Fitness.V1.Model.ListDataSourcesResponse","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.html","title":"GoogleApi.Fitness.V1.Model.ListSessionsResponse","module":"GoogleApi.Fitness.V1.Model.ListSessionsResponse","type":"module","doc":"Attributes deletedSession ([Session]): If includeDeleted is set to true in the request, this list will contain sessions deleted with original end times that are within the startTime and endTime frame. Defaults to: null. hasMoreData (boolean()): Flag to indicate server has more data to transfer Defaults to: null. nextPageToken (String.t): The continuation token, which is used to page through large result sets. Provide this value in a subsequent request to return the next page of results. Defaults to: null. session ([Session]): Sessions with an end time that is between startTime and endTime of the request. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.decode/2","module":"GoogleApi.Fitness.V1.Model.ListSessionsResponse","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ListSessionsResponse.t/0","module":"GoogleApi.Fitness.V1.Model.ListSessionsResponse","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.MapValue.html","title":"GoogleApi.Fitness.V1.Model.MapValue","module":"GoogleApi.Fitness.V1.Model.MapValue","type":"module","doc":"Holder object for the value of an entry in a map field of a data point. A map value supports a subset of the formats that the regular Value supports. Attributes fpVal (float()): Floating point value. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.MapValue.html#decode/2","title":"GoogleApi.Fitness.V1.Model.MapValue.decode/2","module":"GoogleApi.Fitness.V1.Model.MapValue","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.MapValue.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.MapValue.t/0","module":"GoogleApi.Fitness.V1.Model.MapValue","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.Session.html","title":"GoogleApi.Fitness.V1.Model.Session","module":"GoogleApi.Fitness.V1.Model.Session","type":"module","doc":"Sessions contain metadata, such as a user-friendly name and time interval information. Attributes activeTimeMillis (String.t): Session active time. While start_time_millis and end_time_millis define the full session time, the active time can be shorter and specified by active_time_millis. If the inactive time during the session is known, it should also be inserted via a com.google.activity.segment data point with a STILL activity value Defaults to: null. activityType (integer()): The type of activity this session represents. Defaults to: null. application (Application): The application that created the session. Defaults to: null. description (String.t): A description for this session. Defaults to: null. endTimeMillis (String.t): An end time, in milliseconds since epoch, inclusive. Defaults to: null. id (String.t): A client-generated identifier that is unique across all sessions owned by this particular user. Defaults to: null. modifiedTimeMillis (String.t): A timestamp that indicates when the session was last modified. Defaults to: null. name (String.t): A human readable name of the session. Defaults to: null. startTimeMillis (String.t): A start time, in milliseconds since epoch, inclusive. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.Session.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Session.decode/2","module":"GoogleApi.Fitness.V1.Model.Session","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.Session.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Session.t/0","module":"GoogleApi.Fitness.V1.Model.Session","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.Value.html","title":"GoogleApi.Fitness.V1.Model.Value","module":"GoogleApi.Fitness.V1.Model.Value","type":"module","doc":"Holder object for the value of a single field in a data point. A field value has a particular format and is only ever set to one of an integer or a floating point value. LINT.IfChange Attributes fpVal (float()): Floating point value. When this is set, other values must not be set. Defaults to: null. intVal (integer()): Integer value. When this is set, other values must not be set. Defaults to: null. mapVal ([ValueMapValEntry]): Map value. The valid key space and units for the corresponding value of each entry should be documented as part of the data type definition. Keys should be kept small whenever possible. Data streams with large keys and high data frequency may be down sampled. Defaults to: null. stringVal (String.t): String value. When this is set, other values must not be set. Strings should be kept small whenever possible. Data streams with large string values and high data frequency may be down sampled. Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.Value.html#decode/2","title":"GoogleApi.Fitness.V1.Model.Value.decode/2","module":"GoogleApi.Fitness.V1.Model.Value","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.Value.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.Value.t/0","module":"GoogleApi.Fitness.V1.Model.Value","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.html","title":"GoogleApi.Fitness.V1.Model.ValueMapValEntry","module":"GoogleApi.Fitness.V1.Model.ValueMapValEntry","type":"module","doc":"Attributes key (String.t): Defaults to: null. value (MapValue): Defaults to: null."},{"ref":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.html#decode/2","title":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.decode/2","module":"GoogleApi.Fitness.V1.Model.ValueMapValEntry","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.html#t:t/0","title":"GoogleApi.Fitness.V1.Model.ValueMapValEntry.t/0","module":"GoogleApi.Fitness.V1.Model.ValueMapValEntry","type":"type","doc":""},{"ref":"GoogleApi.Fitness.V1.RequestBuilder.html","title":"GoogleApi.Fitness.V1.RequestBuilder","module":"GoogleApi.Fitness.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]